
<template>
    <div class="getQRCode">
        <!-- <x-header class="message-head" title="消息详情" :left-options="{backText:''}"></x-header> -->
        <van-nav-bar title="消息详情" left-text="返回" left-arrow @click-left="onClickLeft" style="line-height: 43px;">
            <i class="iconfont iconzuojiantou" slot="left" style="font-size: 25px;"></i>
        </van-nav-bar>
        <div class="message-body">
            <div class="notice">
                <p class="notice-title">{{ message.msgTitle }}</p>
                <p>{{ message.msgTime }}</p>
            </div>
            <span class="line"></span>
            <div class="notice-continue" v-html=" message.msgCon">
            </div>
        </div>
    </div>
</template>
<script>
import { XHeader } from 'vux';
import {
        dateFormat
    } from 'vux'
import { mapActions } from 'vuex';
    export default {
        name: 'message',
        components: {
             XHeader,
        },
        data() {
            return {
                messageId: this.$route.query.messageId,
                message:{
                    msgCon: '',
                    msgTitle: '',
                    msgTime: '',
                }
            }
        },
        computed:{

        },
        created() {
            this.msgInt()
            this.getCount()
        },
        methods: {
            ...mapActions(['getCount']),
            onClickLeft() {
                this.$router.go(-1);
            },
            msgInt() {
                this.$api.noticeDetail({id: this.messageId}).then(res => {
                    console.log(res.body)
                    this.message.msgCon = res.body.noticeContent;
                    this.message.msgTitle = res.body.title;
                    this.message.msgTime = dateFormat(res.body.pubTime);
                })
                
            }
        }
    }
</script>
<style lang="less" scoped>
.getQRCode{
    background: #F5F5F7;
    width: 100%;
    height: 100%;
}
.message-head{
    position: relative;
}
.message-body{
    width: 96%;
    margin: 12px 2%;
    margin-top: 10px;
    background: #fff;
    .notice{
        padding: 15px 12px;
        border-bottom: 1px solid #EEEEEE;
        p{
            color: #999999;
        }
        &-title{
            font-size: 16px;
            font-weight: bold;
            color: #333333 !important;
            margin-bottom: 10px;
        }
    }
    .notice-continue{
        width: 94%;
        margin: 0px 2%;
        padding: 15px 0;
        white-space: wrap;
        font-size: 14px;
        word-wrap: break-word;
        height: auto;
        padding-left: 2%;
        background: #fff;
        color: #666666;
        line-height: 22px;
    }
}
</style>
